﻿// Copyright (c) MudBlazor 2021
// MudBlazor licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;

public partial class Row : UIComponent
{
	[Parameter] public RenderFragment ChildContent { get; set; }

	protected string Classname => new CssBuilder("table-row")
		 .AddClass(AdditionalClassList).Build();
}
