﻿// Copyright (c) MudBlazor 2021
// MudBlazor licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.
using System.ComponentModel;

namespace Connected;

public enum Alignment
{
    Center,
    Top,
    Bottom,
    Left,
    [Description("left-top")]
    LeftTop,
    [Description("left-bottom")]
    LeftBottom,
    Right,
    [Description("right-top")]
    RightTop,
    [Description("right-bottom")]
    RightBottom,
}
