﻿using System;

namespace Connected
{
    // These icons have been removed from the Google Material Design Icons set either
    // due to typo corrections, improved consistency in naming or simply because they
    // have been retired.  They may be removed in a future version of MudBlazor so
    // it is strongly recommended to remove or update any references to them.
    public partial class Icons
    {
        public partial class Filled
        {
            [Obsolete("Removed from Material Design Icons.", true)]
            public const string AmpStories = "<g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g/><g><rect height=\"15\" width=\"10\" x=\"7\" y=\"4\"/><rect height=\"11\" width=\"2\" x=\"3\" y=\"6\"/><rect height=\"11\" width=\"2\" x=\"19\" y=\"6\"/></g></g>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string Eco = "<g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g><path d=\"M6.05,8.05c-2.73,2.73-2.73,7.15-0.02,9.88c1.47-3.4,4.09-6.24,7.36-7.93c-2.77,2.34-4.71,5.61-5.39,9.32 c2.6,1.23,5.8,0.78,7.95-1.37C19.43,14.47,20,4,20,4S9.53,4.57,6.05,8.05z\"/></g></g>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string BlockFlipped = "<g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><path d=\"M22,12c0-5.5-4.5-10-10-10S2,6.5,2,12s4.5,10,10,10S22,17.5,22,12z M5.7,7.1l11.2,11.2c-1.3,1.1-3,1.7-4.9,1.7 c-4.4,0-8-3.6-8-8C4,10.1,4.6,8.4,5.7,7.1z M20,12c0,1.9-0.6,3.6-1.7,4.9L7.1,5.7C8.4,4.6,10.1,4,12,4C16.4,4,20,7.6,20,12z\"/></g>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string OutgoingMail = "<g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g><path d=\"M18.5,11c0.17,0,0.34,0.01,0.5,0.03V6.87C19,5.84,18.16,5,17.13,5H3.87C2.84,5,2,5.84,2,6.87v10.26 C2,18.16,2.84,19,3.87,19h9.73C13.22,18.25,13,17.4,13,16.5C13,13.46,15.46,11,18.5,11z M10.4,13L4,9.19V7h0.23l6.18,3.68L16.74,7 H17v2.16L10.4,13z\"/><polygon points=\"19,13 17.59,14.41 19.17,16 15,16 15,18 19.17,18 17.59,19.59 19,21 23,17\"/></g></g>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string HomeFilled = "<path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M12 3L4 9v12h5v-7h6v7h5V9z\"/>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string AssistantNavigation = "<path d=\"M0 0h24v24H0V0z\" fill=\"none\"/><path d=\"M12 1C5.93 1 1 5.93 1 12s4.93 11 11 11 11-4.93 11-11S18.07 1 12 1zm3.57 16L12 15.42 8.43 17l-.37-.37L12 7l3.95 9.63-.38.37z\"/>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string LocationPin = "<rect fill=\"none\" height=\"24\" width=\"24\"/><path d=\"M12,2L12,2C8.13,2,5,5.13,5,9c0,1.74,0.5,3.37,1.41,4.84c0.95,1.54,2.2,2.86,3.16,4.4c0.47,0.75,0.81,1.45,1.17,2.26 C11,21.05,11.21,22,12,22h0c0.79,0,1-0.95,1.25-1.5c0.37-0.81,0.7-1.51,1.17-2.26c0.96-1.53,2.21-2.85,3.16-4.4 C18.5,12.37,19,10.74,19,9C19,5.13,15.87,2,12,2z M12,11.75c-1.38,0-2.5-1.12-2.5-2.5s1.12-2.5,2.5-2.5s2.5,1.12,2.5,2.5 S13.38,11.75,12,11.75z\"/>";

            [Obsolete("Removed from Material Design Icons.  Replace with `Outbound` icon.", true)]
            public string Outbond => Outbound;

            [Obsolete("Removed from Material Design Icons.  Replace with `Workspaces` icon.", true)]
            public string WorkspacesFilled => Workspaces;

            [Obsolete("Removed from Material Design Icons.  Replace with `FilterAlt` icon.", true)]
            public string FilterListAlt => FilterAlt;

            [Obsolete("Removed from Material Design Icons.  Replace with `AddIcCall` icon.", true)]
            public string AddCall => AddIcCall;

            [Obsolete("Removed from Material Design Icons.  Replace with `WbTwilight` icon.", true)]
            public string WbTwighlight => WbTwilight;

            [Obsolete("Removed from Material Design Icons.  Replace with `PieChartOutline` icon.", true)]
            public string PieChartOutlined => PieChartOutline;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Lock` icon.", true)]
            public string LockOutlined => Outlined.Lock;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Info` icon.", true)]
            public string InfoOutlined => Outlined.Info;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Label` icon.", true)]
            public string LabelOutline => Outlined.Label;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.LabelImportant` icon.", true)]
            public string LabelImportantOutline => Outlined.LabelImportant;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Lightbulb` icon.", true)]
            public string LightbulbOutline => Outlined.Lightbulb;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Workspaces` icon.", true)]
            public string WorkspacesOutline => Outlined.Workspaces;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.DriveFileMove` icon.", true)]
            public string DriveFileMoveOutline => Outlined.DriveFileMove;

            [Obsolete("Removed from Material Design Icons.  Replace with `NoMeals` icon.", true)]
            public string NoMealsOuline => NoMeals;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Filled.Flag` icon.", false)]
            public string EmojiFlags => Filled.Flag;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Custom.Brands.Facebook` icon.", false)]
            public string Facebook => Custom.Brands.Facebook;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Filled.Lock` icon.", false)]
            public string LockOutline => Filled.Lock;
        }

        public partial class Outlined
        {
            [Obsolete("Removed from Material Design Icons.", true)]
            public const string AmpStories = "<g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g/><g><path d=\"M7,19h10V4H7V19z M9,6h6v11H9V6z\"/><rect height=\"11\" width=\"2\" x=\"3\" y=\"6\"/><rect height=\"11\" width=\"2\" x=\"19\" y=\"6\"/></g></g>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string Eco = "<g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><path d=\"M6.05,8.05c-2.73,2.73-2.73,7.17,0,9.9C7.42,19.32,9.21,20,11,20s3.58-0.68,4.95-2.05C19.43,14.47,20,4,20,4 S9.53,4.57,6.05,8.05z M14.54,16.54C13.59,17.48,12.34,18,11,18c-0.89,0-1.73-0.25-2.48-0.68c0.92-2.88,2.62-5.41,4.88-7.32 c-2.63,1.36-4.84,3.46-6.37,6c-1.48-1.96-1.35-4.75,0.44-6.54C9.21,7.72,14.04,6.65,17.8,6.2C17.35,9.96,16.28,14.79,14.54,16.54z\"/></g>";

            [Obsolete("Removed from Material Design Icons.  Replace with `Face` icon.", true)]
            public string FaceUnlock => Face;

            [Obsolete("Removed from Material Design Icons.  Replace with `Outbound` icon.", true)]
            public string Outbond => Outbound;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Lock` icon.", true)]
            public string LockOutlined => Outlined.Lock;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Info` icon.", true)]
            public string InfoOutlined => Outlined.Info;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Label` icon.", true)]
            public string LabelOutline => Outlined.Label;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.LabelImportant` icon.", true)]
            public string LabelImportantOutline => Outlined.LabelImportant;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Lightbulb` icon.", true)]
            public string LightbulbOutline => Outlined.Lightbulb;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Flag` icon.", false)]
            public string EmojiFlags => Outlined.Flag;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Custom.Brands.Facebook` icon.", false)]
            public string Facebook => Custom.Brands.Facebook;
        }

        public partial class Rounded
        {
            [Obsolete("Removed from Material Design Icons.", true)]
            public const string AmpStories = "<g><rect fill=\"none\" height=\"24\" width=\"24\"/><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g/><g><path d=\"M16,4H8C7.45,4,7,4.45,7,5v13c0,0.55,0.45,1,1,1h8c0.55,0,1-0.45,1-1V5C17,4.45,16.55,4,16,4z\"/><path d=\"M4,6C3.45,6,3,6.45,3,7v9c0,0.55,0.45,1,1,1s1-0.45,1-1V7C5,6.45,4.55,6,4,6z\"/><path d=\"M20,6c-0.55,0-1,0.45-1,1v9c0,0.55,0.45,1,1,1s1-0.45,1-1V7C21,6.45,20.55,6,20,6z\"/></g></g>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string Eco = "<g><rect fill=\"none\" height=\"24\" width=\"24\"/><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g><path d=\"M6.05,8.05c-2.73,2.73-2.73,7.15-0.02,9.88c1.47-3.4,4.09-6.24,7.36-7.93c-2.77,2.34-4.71,5.61-5.39,9.32 c2.6,1.23,5.8,0.78,7.95-1.37c2.99-2.99,3.83-11.14,4.01-13.38c0.02-0.31-0.23-0.56-0.53-0.53C17.19,4.22,9.04,5.06,6.05,8.05z\"/></g></g>";

            [Obsolete("Removed from Material Design Icons.  Replace with `Face` icon.", true)]
            public string FaceUnlock => Face;

            [Obsolete("Removed from Material Design Icons.  Replace with `Outbound` icon.", true)]
            public string Outbond => Outbound;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Lock` icon.", true)]
            public string LockOutlined => Outlined.Lock;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Info` icon.", true)]
            public string InfoOutlined => Outlined.Info;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Label` icon.", true)]
            public string LabelOutline => Outlined.Label;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.LabelImportant` icon.", true)]
            public string LabelImportantOutline => Outlined.LabelImportant;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Lightbulb` icon.", true)]
            public string LightbulbOutline => Outlined.Lightbulb;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Rounded.Flag` icon.", false)]
            public string EmojiFlags => Rounded.Flag;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Custom.Brands.Facebook` icon.", false)]
            public string Facebook => Custom.Brands.Facebook;
        }

        public partial class Sharp
        {
            [Obsolete("Removed from Material Design Icons.", true)]
            public const string AmpStories =
                "<g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g/><g><rect height=\"15\" width=\"10\" x=\"7\" y=\"4\"/><rect height=\"11\" width=\"2\" x=\"3\" y=\"6\"/><rect height=\"11\" width=\"2\" x=\"19\" y=\"6\"/></g></g>";

            [Obsolete("Removed from Material Design Icons.", true)]
            public const string Eco =
                "<g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g><path d=\"M6.05,8.05c-2.73,2.73-2.73,7.15-0.02,9.88c1.47-3.4,4.09-6.24,7.36-7.93c-2.77,2.34-4.71,5.61-5.39,9.32 c2.6,1.23,5.8,0.78,7.95-1.37C19.43,14.47,20,4,20,4S9.53,4.57,6.05,8.05z\"/></g></g>";

            [Obsolete("Removed from Material Design Icons.  Replace with `Face` icon.", true)]
            public string FaceUnlock => Face;

            [Obsolete("Removed from Material Design Icons.  Replace with `Outbound` icon.", true)]
            public string Outbond => Outbound;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Lock` icon.", true)]
            public string LockOutlined => Outlined.Lock;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Info` icon.", true)]
            public string InfoOutlined => Outlined.Info;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Label` icon.", true)]
            public string LabelOutline => Outlined.Label;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.LabelImportant` icon.", true)]
            public string LabelImportantOutline => Outlined.LabelImportant;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Outlined.Lightbulb` icon.", true)]
            public string LightbulbOutline => Outlined.Lightbulb;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Sharp.Flag` icon.", false)]
            public string EmojiFlags => Sharp.Flag;

            [Obsolete("Removed from Material Design Icons.  Replace with `Icons.Custom.Brands.Facebook` icon.", false)]
            public string Facebook => Custom.Brands.Facebook;
        }
    }
}
